import React, {Component} from 'react';
import {Row, Col, Container} from 'react-grid-system';
import acessoInfo from '../img/acesso-a-informacao.png';
const grayFooter={
  backgroundColor: "#434343",
  color: "white",
  textAlign: "center",
  display: "block",
  paddingTop: "20px",
  paddingBottom: "10px"
};
class AGPLFooter extends Component{
  render(){
    return(
      <div style={grayFooter}>
        <Container>
          <Row justify="around">
            <Col md={1}>
              <img src={acessoInfo} height="40" alt="acesso a informação"/>
            </Col>
            <Col md={8}>
              <p style={{fontSize: "12px", textAlign: "center"}}>
                As tecnologias da Plataforma Integrada possuem as licenças MIT(Frontend) e licença GNU/AGPL(Backend).
              </p>
            </Col>
          </Row>
        </Container>
        <br/>
        <Container>
          <Row>
            <Col  offset={{ md: 3 }} md={6}>
              <p style={{fontSize: "9px"}}>
                Esta versão da platarfoma funciona melhor nas últimas versões dos navegadores Chrome e Firefox.
                Para uma melhor experiência mantenha seus navegadores atualizados! Versão 1.02
              </p>
            </Col>
          </Row>
        </Container>
      </div>
    )
  }
}
export default AGPLFooter;
