import React from 'react';
import ReactDOM from 'react-dom';
import './index.css';
import Home from './Pages/Home';
import MenuBar from './Components/MenuBar';
import EcFooter from './Components/EcFooter';
import GNUAGPLfooter from './Components/AGPLFooter';
import AcessibilityBar from './Components/AcessibilityBar';
import UserPage from './Pages/UserPage';
import * as serviceWorker from './serviceWorker';
import {BrowserRouter, Switch, Route} from 'react-router-dom';

ReactDOM.render(
    <BrowserRouter>
    <AcessibilityBar/>
    <MenuBar/>
    <div style={{backgroundImage: "linear-gradient(to right,#ff7f00,#e81f4f,#673ab7,#00bcd4)", height:"5px"}}></div>
      <Switch>
        <Route path="/" exact={true} component={Home}/>
        <Route path="/usuario" component={UserPage} />
      </Switch>
      <EcFooter/>
      <GNUAGPLfooter/>
    </BrowserRouter>
  , document.getElementById('root'));

// If you want your app to work offline and load faster, you can change
// unregister() to register() below. Note this comes with some pitfalls.
// Learn more about service workers: http://bit.ly/CRA-PWA
serviceWorker.unregister();
