import React, {Component} from 'react';
import {Row, Col, Container} from 'react-grid-system'
import '../App.css';

import tumbnail from '../img/logo_small.svg'
import BT from './Button';
import Menulist from './menulist';
import { Link } from 'react-router-dom'
import {IoIosMenu} from "react-icons/io";
// const logosStyle={
//   borderRight:"1px rgba(0,0,0,.1) solid",
//   paddingTop:"20px",
//   paddingBottom:"5px",
//   paddingLeft: "0px",
//   paddingRight: "0px",
//   justifyContent:"left",
//   display:"inline-flex"
// };
const rowStyle={
  verticalAlign: "left"
};


class MenuBar extends Component{
  render(){
    return(
      <Container fluid={true} style={{borderTop:"1px rgba(0,0,0,.1) solid", textAlign: "center"}}>
        <Row style={rowStyle}>
          <Col sm={2} md={1}>
          <Link to="/">  <img src={tumbnail} height="35" alt="Logo Plataforma MEC" style={{padding: "10px"}}/></Link>
          </Col>
          <Col sm={2} md={2} style={{padding:"0px", alingItens: "left", alignSelf:"center"}}><Menulist children={<IoIosMenu/>} label={"Menu"}/></Col>
          <Col sm={2} md={2} style={{padding:"0px", paddingTop: "-5px", alignSelf:"center"}}><Menulist label={"Ajuda"}/></Col>
          <Col sm={2} md={2} style={{padding:"0px", alignSelf:"center"}}>< Link to ="/usuario">Busca</Link></Col>
          <Col sm={4} md={3}style={{paddingTop:"10px"}} justify="Right">
            <BT name="Entrar"/>
            <BT name="Cadastre-se"/>
          </Col>
        </Row>
      </Container>
    );
  }
}
 export default MenuBar;
